Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.enterprisedt.net.ftp
Class TransferCompleteStrings

    java.lang.Object
      com.enterprisedt.net.ftp.TransferCompleteStrings

    public final class TransferCompleteStrings

extends java.lang.Object

Contains fragments of server replies that indicate no files were found in a supplied directory.

Version:
  $Revision: 1.1 $
Author:
  Bruce Blackshaw

Constructor Summary
`TransferCompleteStrings()` Constructor.

Method Summary
`void` | `add(java.lang.String string)` Add a fragment to be managed
`void` | `clearAll()` Clear all fragments being managed
`java.lang.String[]` | `getAll()` Get all fragments being managed
`boolean` | `matches(java.lang.String reply)` Returns true if any fragment is found in the supplied string.
`boolean` | `remove(java.lang.String string)` Remove a managed fragment.
`int` | `size()` Fragment count

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransferCompleteStrings

    public TransferCompleteStrings()

  Constructor. Adds the fragments to match on

Method Detail

### add

    public void add(java.lang.String string)

  Add a fragment to be managed

  Parameters:
    `string` - new message fragment

### getAll

    public java.lang.String[] getAll()

  Get all fragments being managed

  Returns:
    array of management fragments

### clearAll

    public void clearAll()

  Clear all fragments being managed

### size

    public int size()

  Fragment count

  Returns:
    number of fragments being managed

### remove

    public boolean remove(java.lang.String string)

  Remove a managed fragment. Only exact matches (ignoring case) are removed

  Parameters:
    `string` - string to be removed
  Returns:
    true if removed, false if not found

### matches

    public boolean matches(java.lang.String reply)

  Returns true if any fragment is found in the supplied string.

  Parameters:
    `reply` - server reply to test for matches
  Returns:
    true for a match, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2007 Enterprise Distributed Technologies Ltd. All Rights Reserved.